summaryrefslogtreecommitdiff
path: root/support-files/rpm
diff options
context:
space:
mode:
Diffstat (limited to 'support-files/rpm')
-rw-r--r--support-files/rpm/server-preun.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/support-files/rpm/server-preun.sh b/support-files/rpm/server-preun.sh
index f4eb81a7f75..34a35cbc5c5 100644
--- a/support-files/rpm/server-preun.sh
+++ b/support-files/rpm/server-preun.sh
@@ -8,7 +8,7 @@ if [ $1 = 0 ] ; then
if [ -x %{_sysconfdir}/init.d/mysql ] ; then
%{_sysconfdir}/init.d/mysql stop > /dev/null
if [ -x /sbin/chkconfig ] ; then
- /sbin/chkconfig --del mysql > /dev/null 2>&1
+ /sbin/chkconfig --del mysql > /dev/null 2>&1 || :
fi
fi
fi